/* value_string.h
 * Includes code copied from the Ethereal source file value_string.h
 * Modifications made on 3/08/2004.
 * Copyright (c) 2004 Verso Technologies, Inc. 
 */

/* value_string.h
 * Definitions for value_string structures and routines
 *
 * $Id: value_string.h,v 1.3 2002/08/28 20:40:45 jmayer Exp $
 *
 * Ethereal - Network traffic analyzer
 * By Gerald Combs <gerald@zing.org>
 * Copyright 1998 Gerald Combs
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


/* Struct for the match_strval function */

typedef struct _value_string {
  const unsigned int  value;
  const char   *strptr;
} value_string;

/* Struct for boolean enumerations */
typedef struct true_false_string {
      const char	*true_string;
      const char	*false_string;
} true_false_string;

